Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Old, I know, but that's what I'm working with.

I need to update to JRun update 6 (or 7) but the Adobe site only has a .exe installer.

  • That installer wants to update C:\JRun4\.
  • That folder doesn't exist, and my JRun.exe is in D:\CFUSION\runtime\bin\.
  • ColdFusion is up to date (for that era) at MX7.02, so I assume I need to update JRun directly.

Is there a way to update JRun 4 automatically or manually when it is part of the ColdFusion install?

share|improve this question
    
It appears, that I have to run JRun Updater on the \CFUSION\runtime\ folder, although this was only briefly mentioned in a comment on a blog post to an unrelated issue. Will try and advise if it works. –  Kendrick Mar 13 '12 at 15:48

2 Answers 2

up vote 0 down vote accepted

The solution ended up being the simple one. Change the installation location of JRun to COLDFUSION_ROOT_DIRECTORY\runtime\ (or the runtime folder in your CF installation, wherever it is.)

The full update, which I had to do for the JVM update, was:

  1. Install new JDK
  2. Shutdown CF Server
  3. Install JRun updater
  4. Edit COLDFUSION_ROOT_DIRECTORY\runtime\bin\jvm.config and point JAVA_HOME to point to the new location
  5. Start CF Server

Note that the JRun update took quite a while on my Dev server (~15 minutes) but only a couple minutse on my production server. Outside of a slight difference in server hardware, I don't know why this was.

share|improve this answer

Odd that you would need to apply the JRun updater when things are installed under CFUSION. Are you sure you're running the Enterprise CF using JRun? Because standard (or single instance) ColdFusion will install using JRun, but in those cases you don't update using the JRun updaters. As far as I've ever seen you only need to apply the CF patches and not focus on JRun stuff.

So if you're not installing the multi-instance using JRun version of CF Enterprise, then I don't think you need the JRun updaters...

share|improve this answer
    
This is the standard install, not Enterprise, so that may be a difference. I was able to find a solution, which I forgot to post but will do so now. –  Kendrick Apr 13 '12 at 19:28

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.